UberDoc
=======

A Documentation Generator

Installation
------------

 * Initial Install: `gem install uberdoc`
 * Update to latest: `gem update uberdoc`

Prepend `sudo` to each command if you are using the system Ruby on Mac.

Post Install
------------

Run `uberdoc --doctor` to run diagnostics for missing dependencies on your system

Help on Available Command
-------------------------

 * `uberdoc -h`

Adding Custom Tasks
-------------------

 * If your task needs custom switches and command line options, add the same to the options parser
 * Create a new `UberDoc::Task` subclass in the `lib/tasks` folder and name it `<your_task_name>_task.rb`
 * Your custom subclass will be automatically picked up and asked to perform its task on the appropriate switches
